Open MPI logo

Open MPI Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Development mailing list

Subject: Re: [OMPI devel] Autogen.pl, romio and autoconf 2.66
From: Aurélien Bouteiller (bouteill_at_[hidden])
Date: 2010-09-28 18:27:16


Le 28 sept. 2010 à 18:10, Aurélien Bouteiller a écrit :

>
> Le 28 sept. 2010 à 17:55, Jeff Squyres a écrit :
>
>> On Sep 28, 2010, at 5:30 PM, Aurélien Bouteiller wrote:
>>
>>> Hi there,
>>>
>>> has anybody tried to compile ompi trunk with autoconf 2.66 ? It fails when configuring romio with the following error:
>>> === Processing subdir: /nics/c/home/bouteill/ompi/trunk/ompi/mca/io/romio/romio
>>> --- Found configure.in|ac; running autoreconf...
>>> autoreconf: Entering directory `.'
>>> autoreconf: configure.in: not using Gettext
>>> autoreconf: running: aclocal --force
>>> configure.in:2127: warning: macro `AM_PROG_LIBTOOL' not found in library
>>
>> This looks like Libtool or Automake isn't installed properly...?
You were right on that one. The system provided automake on Kraken is broken. Fixed by installing my own.

>>
> That's a possibility, but one problem at a time :)
>>
>>
>>> configure.in:791: error: AC_CHECK_SIZEOF: requires literal arguments
>>> ../../lib/autoconf/types.m4:765: AC_CHECK_SIZEOF is expanded from...
> Apparently, after making some internet search, it looks like autoconf 2.66 is plain broken. I'll try with another one and report on this issue.
>
Confirmed. Autoconf 2.66 cannot compile romio, 2.68 and 2.65 can, no problem.

> Aurelien
>
>
> _______________________________________________
> devel mailing list
> devel_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/devel